---
title: ProcessingInstruction
slug: Web/API/ProcessingInstruction
tags:
  - API
  - DOM
---
<div>{{APIRef("DOM")}}</div>

<p><span class="seoSummary">The <code><strong>ProcessingInstruction</strong></code> interface represents a <a href="https://www.w3.org/TR/xml/#sec-pi">processing instruction</a>; that is, a {{domxref("Node")}} which embeds an instruction targeting a specific application but that can be ignored by any other applications which don't recognize the instruction.</span></p>

<p>A processing instruction is different from the <a href="/en-US/docs/Web/XML/XML_introduction#XML_declaration">XML declaration</a>.</p>

<div class="notecard note">
<p>User-defined processing instructions cannot begin with "<code>xml</code>", as <code>xml</code>-prefixed processing-instruction target names are reserved by the XML specification for particular, standard uses (see, for example, <code><a href="/en/XML/xml-stylesheet">&lt;?xml-stylesheet ?&gt;</a></code>).</p>
</div>

<p>The <code>ProcessingInstruction</code> interface inherits methods and properties from {{domxref("Node")}}.</p>

<p>{{InheritanceDiagram(700,70)}}</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt><code>target</code> ({{domxref("DOMString")}}) {{readonlyInline}}</dt>
 <dd>A name identifying the application to which the instruction is targeted,</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#processinginstruction', 'ProcessingInstruction')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td><a href="https://www.w3.org/TR/xml/#sec-pi">XML specification</a></td>
   <td></td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ProcessingInstruction")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en/DOM/document.createProcessingInstruction">document.createProcessingInstruction</a></li>
</ul>
